%define url	http://download.sourceforge.net/swig/

Name:		swig
Summary:	Simplified Wrapper and Interface Generator (SWIG)
Version:	1.3a5
Release:	1mdk
Copyright:	Open Source
Group:		Development/Perl
URL:		http:/www.swig.org/

Source:		%{url}/%{name}%{version}.tar.bz2
Patch0: swig1.3a5-fix-rubydetect-the-gory-way2.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%version-root
BuildRequires: python-devel perl-devel ruby-devel kaffe-devel guile-devel

%description
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

%package devel
Summary:	Header files and libraries for developing apps which will use %{name}
Group:		Development/C
Requires:	%{name}

%description devel
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

Install the %{name}-devel package if you want to develop applications that
will use the %{name} library.


%prep
%setup -q -n SWIG%{version}
%patch0 -p0

%build
autoconf
# (gc) we need to help the poor languages to get their directories
%configure --with-tcllib=/usr/lib/tcl8.3 --with-pyincl=/usr/include/python2.1 --with-pylib=/usr/lib/python2.1
%make
%make runtime

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall install-lib install-main install-runtime BIN_DIR=%{buildroot}/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_includedir}
install -m655 ./Source/Swig/swig.h $RPM_BUILD_ROOT/%{_includedir}
install -m655 ./Source/DOH/Include/doh.h $RPM_BUILD_ROOT/%{_includedir}
# for the Makefiles in Examples/
ln -sf %{_bindir}/%{name} %{name}

%files
%defattr(-,root,root,755)
%doc CHANGES LICENSE README VERSION Examples %{name}
%{_bindir}/*
%{_libdir}/*so*
%{_libdir}/%{name}*

%files devel
%defattr(-,root,root)
%doc LICENSE
%{_includedir}/*
%{_libdir}/*a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jun 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3a5-1mdk
- new version so that we get Ruby support
- tcl and python will re-work
- include Examples

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.3a3-2mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3a3-1mdk
- BM.
- Clean up specs.
- 1.3a3.

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1p5-5mdk
- Use makeinstall macros.

* Mon Apr 10 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1p5-4mdk

- Provides: swig

* Mon Apr  3 2000 Pixel <pixel@mandrakesoft.com> 1.1p5-3mdk
- rebuild with new perl
- cleanup

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1p5-2mdk

- Rebuilt on kenobi
- Don't use prefix

* Fri Mar 10 2000 Francis Galiegue <francis@mandrakesoft.com> 1.1p5-1mdk
- First RPM for Mandrake

